petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMCreateMassMatrix

Gets mass matrix between two DM objects, M_ij = \int \phi_i \psi_j

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateMassMatrix(DM dm1, DM dm2, Mat *mat)

Collective on dm1

### Input Parameter

| dm1 | - the DM object
| dm2 | - the second, finer DM object

### Output Parameter

mat -the interpolation

### See Also

DMCreateMatrix(), DMRefine(), DMCoarsen(), DMCreateRestriction(), DMCreateInterpolation(), DMCreateInjection()

### Level

developer

### Location

src/dm/interface/dm.c

### Implementations

DMCreateMassMatrix_Plex in src/dm/impls/plex/plex.c
DMCreateMassMatrix_Swarm in src/dm/impls/swarm/swarm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages